## connman 1.40

=== debian/changelog ===
connman (1.40-1.0antix1) unstable; urgency=medium

  * latest upstream build - 1.40
  * updated to include git latest bug fixes on 2021-10-26
  * antiX build

 -- anticapitalista <antix@operamail.com>  Tue, 26 Oct 2021 22:31:38 +0300

connman (1.39+xecurexp-1) unstable; urgency=medium

  [upstream 1.39]
  * Fix issue with scanning state synchronization and iwd.
  * Fix issue with invalid key with 4-way handshake offloading.
  * Fix issue with DNS proxy length checks to prevent buffer overflow.
  * Fix issue with DHCP leaking stack data via uninitialized variable.
  
  [upstream 1.38]
  * Fix issue with online check on IP address update.
  * Fix issue with OpenVPN and encrypted private keys.
  * Fix issue with finishing of VPN connections.
  * Add support for updated stable iwd APIs.
  * Add support for WireGuard networks.

 -- nXecure <not@telling.you>  Sat, 24 Apr 2021 17:28:34 +0200
