=== debian/control ===
Source: connman
Maintainer: Alexander Sack <asac@debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               gtk-doc-tools,
               libbluetooth-dev,
               libdbus-1-dev,
               libglib2.0-dev,
               libgnutls28-dev,
	       libopenconnect-dev,	
               libreadline-dev,
               libudev-dev,
               libxtables-dev,
               libnftnl-dev,
               libmnl-dev,
               ppp-dev (>= 2.4.7-2+),
               wpasupplicant
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/connman
Vcs-Git: https://salsa.debian.org/debian/connman.git
Homepage: https://01.org/connman

Package: connman
Architecture: all
Depends: ${misc:Depends},
         connman-iptables | connman-nftables
Description: Metapackage for Intel Connection Manager daemon
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This metapackage is meant to throw in connman-iptables or connman-nftables.

Package: connman-iptables
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus,
         lsb-base,
         iptables
Recommends: bluez,
            wpasupplicant | iwd,
            ofono
Suggests: connman-vpn
Breaks: connman (<< 1.37+repack-2~)
Replaces: connman (<< 1.37+repack-2~)
Conflicts: connman-nftables
Provides: connman
Description: Intel Connection Manager daemon - iptables support
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This package contains the connman daemon built with iptables support.

Package: connman-nftables
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus,
         lsb-base,
         nftables
Recommends: bluez,
            wpasupplicant | iwd,
            ofono
Suggests: connman-vpn
Breaks: connman (<< 1.37+repack-2~)
Replaces: connman (<< 1.37+repack-2~)
Conflicts: connman-iptables
Provides: connman
Description: Intel Connection Manager daemon - nftables support
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This package contains the connman daemon built with nftables support.

Package: connman-vpn
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: connman-iptables (= ${source:Version}) | connman-nftables (= ${source:Version}),
            xl2tpd
Breaks: ${misc:Breaks},
        connman (<< 1.21-1)
Replaces: connman (<< 1.21-1)
Description: Intel Connection Manager daemon - VPN daemon
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This package contains the connman VPN daemon. ConnMan VPN daemon manages
 VPNs on behalf of connmand and start and stops various VPN client
 applications. The VPN daemon can also be run standalone without connmand.

Package: connman-dev
Architecture: linux-any
Multi-Arch: same
Section: devel
Depends: ${misc:Depends},
         libdbus-1-dev,
         libglib2.0-dev
Description: Development files for connman
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This package contains headers and  pkg-config support mainly useful for
 developing connman plugins.

Package: connman-tests
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         connman-iptables | connman-nftables,
         python,
         python-dbus
Description: Intel Connection Manager daemon -- test scripts
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This package contains the connman test scripts.

Package: connman-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: connman-dev
Description: ConnMan documentation
 The Linux Connection Manager project provides a daemon for managing
 Internet connections within embedded devices running the Linux
 operating system. The Connection Manager is designed to be slim and to
 use as few resources as possible. It is fully modular system that
 can be extended through plug-ins. The plug-in approach allows for
 easy adaption and modification for various use cases.
 .
 ConnMan provies IPv4 and IPv6 connectivity via:
  * ethernet
  * WiFi, using wpasupplicant
  * Cellular, using oFono
  * Bluetooth, using bluez
 .
 ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
 IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
 to clients via USB, ethernet, WiFi, cellular and Bluetooth.
 .
 This package contains the connman API documentation.
 .
 See the connman description for more information regarding connman.
