=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with=autoreconf,ppp \
	      --builddir build \
	      --as-needed

CONFIG_OPTIONS= \
		--runstatedir='/run' \
		--enable-debug \
		--enable-iwd \
		--enable-l2tp \
		--enable-openconnect \
		--enable-openvpn \
		--enable-pie \
		--enable-polkit \
		--enable-pptp \
		--enable-selinux \
		--enable-test \
		--with-openconnect=/usr/sbin/openconnect \
		--with-openvpn=/usr/sbin/openvpn \
		--with-systemdunitdir=/lib/systemd/system \
		--with-tmpfilesdir=/usr/lib/tmpfiles.d

override_dh_auto_configure:
	dh_auto_configure --builddir build-iptables -- \
		$(CONFIG_OPTIONS) \
		--with-firewall=iptables
	dh_auto_configure --builddir build-nftables -- \
		$(CONFIG_OPTIONS) \
		--with-firewall=nftables

override_dh_auto_build:
	dh_auto_build --builddir build-iptables
	dh_auto_build --builddir build-nftables

override_dh_auto_test:
	dh_auto_test --builddir build-iptables
	dh_auto_test --builddir build-nftables

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp/iptables \
		--builddir build-iptables
	dh_auto_install --destdir debian/tmp/nftables \
		--builddir build-nftables

	inst () { \
		install -d \
			$$1/etc/antix \
			$$1/etc/connman \
			$$1/usr/share/doc/connman-doc \
			$$1/usr/share/apport/package-hooks \
			$$1/etc/apport/crashdb.conf.d/; \
		\
		cp -rv debian/local/* $$1/etc/antix/; \
		cp -v src/main.conf $$1/etc/connman/; \
		cp -v -R doc/*.txt $$1/usr/share/doc/connman-doc; \
		cp debian/source_connman.py $$1/usr/share/apport/package-hooks/; \
		cp debian/connman-crashdb.conf $$1/etc/apport/crashdb.conf.d/; \
	}; inst debian/tmp/iptables; inst debian/tmp/nftables

override_dh_install:
	find $(CURDIR) -name "*.la" -print -delete

	dh_install -pconnman-iptables --sourcedir=debian/tmp/iptables
	dh_install -pconnman-nftables --sourcedir=debian/tmp/nftables

	dh_install --remaining-packages \
		--sourcedir=debian/tmp/iptables

override_dh_installman:
	dh_installman --sourcedir=debian/tmp/iptables

override_dh_missing:
	dh_missing --sourcedir=debian/tmp/iptables --fail-missing
	dh_missing --sourcedir=debian/tmp/nftables --fail-missing

override_dh_installinit:
	cp -a build-iptables/scripts/connman debian/connman-iptables.connman.init
	cp -a build-nftables/scripts/connman debian/connman-nftables.connman.init
	dh_installinit --name=connman --restart-after-upgrade
	$(RM) debian/connman-iptables.connman.init
	$(RM) debian/connman-nftables.connman.init

override_dh_auto_clean:
	$(RM) -r build-iptables
	$(RM) -r build-nftables
	dh_auto_clean

override_dh_ppp:
	dh_ppp --breaks
