## connman 1.41

=== debian/changelog ===
connman (1.41-3.0antix1) unstable; urgency=medium

  * include runit serices 

 -- anticapitalista <antix@operamail.com>  Sat, 15 Apr 2023 18:32:00 +0300

connman (1.41-3) unstable; urgency=medium

  * gdhcp: Verify and sanitize packet length first (CVE-2023-28488)

 -- Vignesh Raman <vignesh.raman@collabora.com>  Fri, 14 Apr 2023 15:15:14 +0530

connman (1.41-2) unstable; urgency=medium

  * d/patches: (Closes: #1016976)
    + wispr-Add-reference-counter-to-portal-context.patch: fixes
      CVE-2022-32293
    + wispr-Update-portal-context-references.patch: fixes
      CVE-2022-32293
    + gweb-Fix-OOB-write-in-received_data.patch: fixes
      CVE-2022-32292
  * debian/control: new upstream url
    https://git.kernel.org/pub/scm/network/connman/connman.git (Closes: #992584)

 -- Vignesh Raman <vignesh.raman@collabora.com>  Fri, 19 Aug 2022 10:50:06 +0530

connman (1.41-1) unstable; urgency=medium

  * New upstream version 1.41
  * Drop upstream patches
  * Salvage the package (Closes: #1006924)

  [ Alf Gaida ]
  * Added new files to d/copyright and fixed the renamed ones
  * Added upstream metadata
  * Added Pre-Depends: ${misc:Pre-Depends}
  * Added patch to prevent service file shutdown problems

  [ Bastian Germann ]
  * Add openconnect which is enabled by d/rules
  * Install vpn-script (formerly openconnect-script)
  * Add libmnl dependency to build wireguard plugin

 -- Vignesh Raman <vignesh.raman@collabora.com>  Tue, 08 Mar 2022 15:05:58 +0530

connman (1.36-2.4) unstable; urgency=medium

  * d/patches: (Closes: #1004935)
    + 0008-dnsproxy-Validate-input-data-before-using-them.patch: fixes
      CVE-2022-23096, CVE-2022-23097
    + 0009-dnsproxy-Avoid-100-busy-loop-in-TCP-server-case.patch: fixes
      CVE-2022-23098
  * Bump debhelper version from deprecated 11 to 12

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 25 Feb 2022 21:06:06 -0800
