## connman 1.42

=== debian/changelog ===
connman (1.42-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:52:26 +0000

connman (1.42-5build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:28:31 +0000

connman (1.42-5build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:30 +0000

connman (1.42-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 05 Jan 2024 15:06:09 +0100

connman (1.42-4) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * Use systemd.pc to place systemd system unit files (Closes: #1057923)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 Dec 2023 20:51:55 +0100

connman (1.42-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 Dec 2023 09:56:29 +0100

connman (1.42-2) experimental; urgency=medium

  [ Vignesh Raman ]
  * Introduce a connman-tests package (Closes: #924934)
  * Update debian/copyright

  [ Dylan Aïssi ]
  * Add Forwarded field in d/p/0001-Add-libppp-compat.h.patch
  * Standardize patches name
  * Make debian/copyright more readable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Dec 2023 13:35:02 +0100

connman (1.42-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * debian/rules: Drop --fail-missing argument to dh_missing.
  * Update renamed lintian tag names in lintian overrides.
  * Fix field name typo in debian/upstream/metadata.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete field Name from debian/upstream/metadata.
  * Fix day-of-week for changelog entry 1.33-1.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Vignesh Raman ]
  * New upstream version 1.42 (Closes: #1055183)
  * Drop upstream patches
  * Backport libppp-compat.h from upstream since upstream hasn't
    included the newly added libppp-compat.h header into the tarball.
  * debian/control: Drop lsb-base package as it's deprecated
  * d/changelog: Fix lintian warning debian-changelog-line-too-long
  * d/control: Fix capitalization-error-in-description
  * Removed outdated lintian-overrides files
  * d/control: Update the standards version
  * d/copyright: Update copyright
  * d/control: declare Rules-Requires-Root: no
  * d/patches: Add Forwarded: not needed

 -- Vignesh Raman <vignesh.raman@collabora.com>  Tue, 14 Nov 2023 17:58:20 +0100
