=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: connman
-Maintainer: Vignesh Raman <vignesh.raman@collabora.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vignesh Raman <vignesh.raman@collabora.com>
 Uploaders: Alexander Sack <asac@debian.org>, Alf Gaida <agaida@siduction.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                libudev-dev,
                libglib2.0-dev,
                libdbus-1-dev,
@@ -15,8 +17,11 @@
                wpasupplicant,
                libbluetooth-dev,
                libmnl-dev,
-               ppp-dev
-Standards-Version: 4.2.1
+               ppp-dev,
+               pkgconf,
+               systemd-dev,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/connman
 Vcs-Git: https://salsa.debian.org/debian/connman.git
 Homepage: https://git.kernel.org/pub/scm/network/connman/connman.git
@@ -27,7 +32,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          dbus,
-         lsb-base,
 	 iptables
 Recommends: bluez,
             wpasupplicant | iwd,
@@ -43,13 +47,13 @@
  .
  ConnMan provies IPv4 and IPv6 connectivity via:
   * ethernet
-  * WiFi, using wpasupplicant
+  * Wi-Fi, using wpasupplicant
   * Cellular, using oFono
   * Bluetooth, using bluez
  .
  ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
  IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
- to clients via USB, ethernet, WiFi, cellular and Bluetooth.
+ to clients via USB, ethernet, Wi-Fi, cellular and Bluetooth.
  .
  This package contains the connman daemon and its plugins.
 
@@ -70,13 +74,13 @@
  .
  ConnMan provies IPv4 and IPv6 connectivity via:
   * ethernet
-  * WiFi, using wpasupplicant
+  * Wi-Fi, using wpasupplicant
   * Cellular, using oFono
   * Bluetooth, using bluez
  .
  ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
  IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
- to clients via USB, ethernet, WiFi, cellular and Bluetooth.
+ to clients via USB, ethernet, Wi-Fi, cellular and Bluetooth.
  .
  This package contains the connman VPN daemon. ConnMan VPN daemon manages
  VPNs on behalf of connmand and start and stops various VPN client
@@ -99,13 +103,13 @@
  .
  ConnMan provies IPv4 and IPv6 connectivity via:
   * ethernet
-  * WiFi, using wpasupplicant
+  * Wi-Fi, using wpasupplicant
   * Cellular, using oFono
   * Bluetooth, using bluez
  .
  ConnMan implements DNS resolving and caching, DHCP clients for both IPv4 and
  IPv6, link-local IPv4 address handling and tethering (IP connection sharing)
- to clients via USB, ethernet, WiFi, cellular and Bluetooth.
+ to clients via USB, ethernet, Wi-Fi, cellular and Bluetooth.
  .
  This package contains headers, pkg-config support mainly useful for
  developing connman plugins.
@@ -124,3 +128,19 @@
  This package contains the connman API documentation.
  .
  See the connman description for more information regarding connman.
+
+Package: connman-tests
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-dbus
+Description: Intel Connection Manager daemon -- test scripts
+ The Linux Connection Manager project provides a daemon for managing
+ Internet connections within embedded devices running the Linux
+ operating system. The Connection Manager is designed to be slim and to
+ use as few resources as possible, so it can be easily integrated in
+ other Moblin-based embedded systems. It is fully modular system that
+ can be extended through plug-ins, to support all kinds of wired or
+ wireless technologies. Also, configuration methods like DHCP and
+ domain name resolving are implemented using plug-ins. The plug-in
+ approach allows for easy adaption and modification for various use cases.
+ .
+ This package contains the connman test scripts
