## connman 1.43

=== debian/changelog ===
connman (1.43-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.43
  * Add upstream tarballs signature
  * Drop patch included in upstream release
  * wrap-and-sort
  * Drop obsolete URL in debian/upstream/metadata
  * Drop superfluous file stanza in debian/copyright
  * Simplify debian/rules
  * Use dh-sequence-ppp
  * Don't remove *.la files but instead mark them as not-installed

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Sep 2024 13:11:13 +0200
