=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: connman
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vignesh Raman <vignesh.raman@collabora.com>
-Uploaders: Alexander Sack <asac@debian.org>, Alf Gaida <agaida@siduction.org>
+Maintainer: Vignesh Raman <vignesh.raman@collabora.com>
+Uploaders: Alexander Sack <asac@debian.org>,
+           Alf Gaida <agaida@siduction.org>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-ppp,
                dh-sequence-python3,
-               libudev-dev,
+               gtk-doc-tools,
+               libbluetooth-dev,
+               libdbus-1-dev,
                libglib2.0-dev,
-               libdbus-1-dev,
-               gtk-doc-tools,
                libgnutls28-dev,
+               libmnl-dev,
                libopenconnect-dev,
                libreadline-dev,
+               libudev-dev,
                libxtables-dev,
-               wpasupplicant,
-               libbluetooth-dev,
-               libmnl-dev,
+               pkgconf,
                ppp-dev,
-               pkgconf,
                systemd-dev,
+               wpasupplicant
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/connman
@@ -29,13 +30,13 @@
 Package: connman
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
+Depends: dbus,
+         iptables,
          ${misc:Depends},
-         dbus,
-	 iptables
+         ${shlibs:Depends}
 Recommends: bluez,
-            wpasupplicant | iwd,
-            ofono
+            ofono,
+            wpasupplicant | iwd
 Suggests: connman-vpn
 Description: Intel Connection Manager daemon
  The Linux Connection Manager project provides a daemon for managing
@@ -59,8 +60,8 @@
 
 Package: connman-vpn
 Architecture: linux-any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: connman (= ${source:Version}),
             xl2tpd
 Breaks: ${misc:Breaks}
@@ -90,9 +91,9 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: devel
-Depends: ${misc:Depends},
+Depends: libdbus-1-dev,
          libglib2.0-dev,
-         libdbus-1-dev
+         ${misc:Depends}
 Description: Development files for connman
  The Linux Connection Manager project provides a daemon for managing
  Internet connections within embedded devices running the Linux
@@ -131,7 +132,10 @@
 
 Package: connman-tests
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-dbus
+Depends: python3-dbus,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
 Description: Intel Connection Manager daemon -- test scripts
  The Linux Connection Manager project provides a daemon for managing
  Internet connections within embedded devices running the Linux
