=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,11 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-#export DH_VERBOSE=1
+
 export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with=ppp \
-	      --builddir build \
-	      --as-needed
+	dh $@ --builddir build
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -29,18 +26,13 @@
 		--with-systemdunitdir=/$(deb_systemdsystemunitdir) \
 		--with-tmpfilesdir=/usr/lib/tmpfiles.d
 
-override_dh_install:
-	find $(CURDIR) -name "*.la" -print -delete
-	dh_install
-
 override_dh_installinit:
 	cp -a build/scripts/connman debian/connman.init
 	dh_installinit --restart-after-upgrade
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	$(RM) debian/connman.init
 	$(RM) -r build
-	dh_auto_clean
 
 override_dh_clean:
 	dh_clean aclocal.m4 config.h.in configure ltmain.sh
