## connman 1.44

=== debian/changelog ===
connman (1.44-3.0antix3) unstable; urgency=medium

  * modified post/pre scripts to deal with runit-antix and init-diversity - many thanks to ProwlerGR
  * removed runit sv scripts

 -- anticapitalista <antix@operamail.com>  Thu, 02 Oct 2025 17:03:43 +0300

connman (1.44-3.0antix2) unstable; urgency=medium

  * Remove /etc/resolv.conf if it is a dead link in runit script

 -- anticapitalista <antix@operamail.com>  Tue, 27 May 2025 19:35:28 +0300

connman (1.44-3.0antix1) nosystemd; urgency=medium

  * set AllowHostnameUpdates=false
  * include runit services 

 -- anticapitalista <antix@operamail.com>  Tue, 13 May 2025 17:15:59 +0300

connman (1.44-3) unstable; urgency=medium

  * Cherry-pick upstream patch fixing CVE-2025-32366 (Closes: #1102193)
  * Set myself as Maintainer.
  * Improve DEP3 headers of other patches.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 13 May 2025 09:06:57 +0200

connman (1.44-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream patch fixing CVE-2025-32743 (Closes: #1103530)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 06 May 2025 22:47:54 +0200

connman (1.44-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.44
  * Refresh patch
  * Fix old-fsf-address-in-copyright-file
  * Add debian/salsa-ci.yml
  * Standards-Version: 4.7.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 12 Apr 2025 17:40:21 +0200
