=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: connman
-Maintainer: Vignesh Raman <vignesh.raman@collabora.com>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Uploaders: Alexander Sack <asac@debian.org>,
-           Alf Gaida <agaida@siduction.org>
+           Alf Gaida <agaida@siduction.org>,
+           Vignesh Raman <vignesh.raman@collabora.com>
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-ppp,
+               dh-sequence-ppp | ppp-dev,
                dh-sequence-python3,
                gtk-doc-tools,
                libbluetooth-dev,
@@ -19,10 +20,9 @@
                libxtables-dev,
                pkgconf,
                ppp-dev,
-               systemd-dev,
                wpasupplicant
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/connman
 Vcs-Git: https://salsa.debian.org/debian/connman.git
 Homepage: https://git.kernel.org/pub/scm/network/connman/connman.git
