=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,10 @@
 		--enable-threads \
 		--enable-test \
 		--with-openconnect=/usr/sbin/openconnect \
-		--with-openvpn=/usr/sbin/openvpn \
-		--with-systemdunitdir=/$(deb_systemdsystemunitdir) \
-		--with-tmpfilesdir=/usr/lib/tmpfiles.d
+		--with-openvpn=/usr/sbin/openvpn 
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installinit:
 	cp -a build/scripts/connman debian/connman.init
