## connman 1.45

=== debian/changelog ===
connman (1.45-3) unstable; urgency=medium

  * Depends on 'default-dbus-system-bus | dbus-system-bus'
      instead of dbus (Closes: #1122554).
  * Remove redundant Rules-Requires-Root.
  * Convert watch file to version 5.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Dec 2025 10:41:15 +0100

connman (1.45-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Aug 2025 09:17:25 +0200

connman (1.45-1) experimental; urgency=medium

  * New upstream version 1.45
  * Drop patches included in upstream release:
    - CVE-2025-32366.patch
    - CVE-2025-32743.patch

 -- Dylan Aïssi <daissi@debian.org>  Fri, 01 Aug 2025 10:54:45 +0200
