=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: net
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-ppp | ppp-dev,
+               dh-sequence-ppp,
                dh-sequence-python3,
                gtk-doc-tools,
                libbluetooth-dev,
@@ -20,8 +20,8 @@
                libxtables-dev,
                pkgconf,
                ppp-dev,
+               systemd-dev,
                wpasupplicant
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/connman
 Vcs-Git: https://salsa.debian.org/debian/connman.git
@@ -30,7 +30,7 @@
 Package: connman
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: dbus,
+Depends: default-dbus-system-bus | dbus-system-bus,
          iptables,
          ${misc:Depends},
          ${shlibs:Depends}
