=== debian/watch ===
Version: 5

Source: https://www.kernel.org/pub/linux/network/connman/
Matching-Pattern: connman-([0-9.]+)\.tar\.xz
Decompress: yes
Pgpsigurlmangle: s%.xz$%.sign%
